from .utils import guess_type
from . import configs
from .configs import (
    MaxResolutionResize,
    TargetResolutionResize,
    FLACFormat,
    WAVFormat,
    MP3Format,
    OpusFormat,
    WEBPImageFormat,
    JPEGFormat,
    PNGFormat,
    GIFFormat,
    WEBPAnimationFormat,
    WEBMFormat,
    MP4Format,
    AV1Codec,
    H264Codec,
    VP9Codec,
    OpusCodec,
    VideoPreviewAnimationEncoding,
    ThumbnailEncoding,
    UnencodedEncoding,
    ResizeConfig,
    AudioEncodingType,
    ImageEncodingType,
    AnimationEncodingType,
    VideoEncodingType,
)
from .audio import (
    encode_audio,
    batch_encode_audio,
    AudioFile,
)
from .image import (
    encode_image,
    batch_encode_image,
    ImageFile,
)
from .animation import (
    encode_animation,
    batch_encode_animation,
    AnimationFile,
)
from .video import (
    encode_video,
    batch_encode_video,
    VideoFile,
)

__all__ = [
    "guess_type",

    "encode_audio",
    "batch_encode_audio",
    "AudioFile",

    "encode_image",
    "batch_encode_image",
    "ImageFile",

    "encode_animation",
    "batch_encode_animation",
    "AnimationFile",

    "encode_video",
    "batch_encode_video",
    "VideoFile",

    "configs",

    "MaxResolutionResize",
    "TargetResolutionResize",

    "FLACFormat",
    "WAVFormat",
    "MP3Format",
    "OpusFormat",

    "WEBPImageFormat",
    "JPEGFormat",
    "PNGFormat",

    "GIFFormat",
    "WEBPAnimationFormat",

    "WEBMFormat",
    "MP4Format",
    "VideoPreviewAnimationEncoding",

    "AV1Codec",
    "H264Codec",
    "VP9Codec",
    "OpusCodec",

    "ThumbnailEncoding",
    "UnencodedEncoding",

    "ResizeConfig",
    "AudioEncodingType",
    "ImageEncodingType",
    "AnimationEncodingType",
    "VideoEncodingType",
]
